Detailed Search by DIN
Introduction
This API allows users to get the detailed company details like din, dob, name, designation etc.
How to call the API
You are required to pass the DIN Number & ItemID(Organization Id) in the request body.
API Input Guidelines
Before going for ROC Director Quick search for organizations, you first need to create an 'Organization' object. You need to pass the din number & ItemId(Organization Id) in the request body.
Sample Curl
curl --location --request POST
'https://signzy.tech/api/v2/hunts' \
--header 'Content-Type: application/json' \
--data '{
"target": "Organization",
"itemId": "....id-of-the-organzation-object-created.....",
"accessToken": ".....access-token-from-the-organization-creation-request.....",
"task": "detailedSearchByDin",
"essentials": {
"din": ".....director-din-to-search-for...."
}
}'Input Parameters
Parameter | Type | Description |
|---|---|---|
target | string | Target Value |
itemId | string | Id of the organzation object created |
accessToken | string | access token from the organization creation request |
task | string | Type of Din Search |
essentials | object | Give DIn number here |
Sample Response
{
"din": "..din..",
"designation": "..designation..",
"address": "..address..",
"name": "..name..",
"dob": "..dob..",
"noOfCompanies": "..noOfCompanies..",
"fatherName": "..fatherName..",
"dscExpiryDate": "..dscExpiryDate..",
"dateOfAppointment": "..dateOfAppointment..",
"whetherDscRegistered": "..whetherDscRegistered..",
"splitAddress": {
"state": [
[
"MH",
"MAHARASHTRA"
]
],
"district": [
"PUNE"
],
"city": [],
"pincode": "411021",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"listOfCompanies": [{
"companyName": "...companyName...",
"rocOffice": "...rocOffice...",
"registrationNumber": "...registrationNumber...",
"category": "...category...",
"subCategory": "...subCategory...",
"class": "...class...",
"authorisedCapital": "...authorisedCapital...",
"paidUpCapital": "...paidUpCapital...",
"numberOfMembers": "...numberOfMembers...",
"dateOfIncorporation": "...dateOfIncorporation...",
"registeredAddress": "...registeredAddress...",
"pan": "...pan...",
"emailId": "...emailId...",
"whetherListed": "...whetherListed...",
"lastAgmDate": "...lastAgmDate...",
"balanceSheetDate": "...balanceSheetDate...",
"statusForEfiling": "...statusForEfiling...",
"natureOfBusiness": "...natureOfBusiness...",
"splitAddress": {
"state": [
[
"MH",
"MAHARASHTRA"
]
],
"district": [
"PUNE"
],
"city": [],
"pincode": "411021",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"cin": "...cin...",
"directorDetails": [
{
"name": "...name...",
"fatherName": "...fatherName...",
"dob": "...dob...",
"pan": "...pan...",
"din": "...din...",
"dscExpiryDate": "...dscExpiryDate...",
"dateOfAppointment": "...dateOfAppointment...",
"designation": "...designation...",
"address": "...address...",
"splitAddress": {
"state": [
[
]
],
"district": [
],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"whetherDscRegistered": "...whetherDscRegistered..."
}
]
}],
"listOfLLPs": [{
"companyName": "...companyName...",
"rocOffice": "...rocOffice...",
"registrationNumber": "...registrationNumber...",
"category": "...category...",
"subCategory": "...subCategory...",
"class": "...class...",
"authorisedCapital": "...authorisedCapital...",
"paidUpCapital": "...paidUpCapital...",
"numberOfMembers": "...numberOfMembers...",
"dateOfIncorporation": "...dateOfIncorporation...",
"registeredAddress": "...registeredAddress...",
"pan": "...pan...",
"emailId": "...emailId...",
"whetherListed": "...whetherListed...",
"lastAgmDate": "...lastAgmDate...",
"balanceSheetDate": "...balanceSheetDate...",
"statusForEfiling": "...statusForEfiling...",
"natureOfBusiness": "...natureOfBusiness...",
"splitAddress": {
"state": [
[
]
],
"district": [],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"cin": "...cin...",
"directorDetails": [
{
"name": "...name...",
"fatherName": "...fatherName...",
"dob": "...dob...",
"pan": "...pan...",
"din": "...din...",
"dscExpiryDate": "...dscExpiryDate...",
"dateOfAppointment": "...dateOfAppointment...",
"designation": "...designation...",
"address": "...address...",
"splitAddress": {
"state": [
[
]
],
"district": [
],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"whetherDscRegistered": "...whetherDscRegistered...",
"$$hashKey": "...hashKey..."
}
]
}]
}Output Parameters
Parameter | Type | Description |
|---|---|---|
din | string | Din Number |
designation | string | Designation value |
address | string | Address of Company |
name | string | Name of the company |
dob | string | Value Of The Identifier |
noOfCompanies | string | Number of Companies |
fatherName | string | Father Name |
dateOfAppointment | string | Appointment Date |
whetherDscRegistered | string | Whether DSC Registered Value |
split address | array | array of objects of address |
city | string | city value |
state | string | state value |
country | string | Value of the country |
address line 1 | string | Contains the adrress value |
directorDetails | array | Array of Details of Directors |
listOfCompanies | array | Array of objects of a company |
companyName | string | Name of the company |
rocOffice | string | ROC office value |
registrationNumber | string | Company Registration Number |
category | string | Category Value of company |
subCategory | string | Sub Category Value of company |
emailId | string | This Field consist of email Id of the company |
authorisedCapital | string | Authorised Capital Value |
numberOfMembers | string | Number of Members of the company |
dateOfIncorporation | string | Incorporation date |
registeredAddress | string | Registered Address Value |
pan | string | PAN Number of the company |
whetherListed | string | Company whether listed or not |
balanceSheetDate | string | Date of the balance sheet |
statusForEfiling | string | Status For E filling |
authorisedCapital | string | The Field consist of authorised capital value |
paidUpCapital | string | The Field consist of paid up capital value |
natureOfBusiness | string | This Field Contains the nature of business |
listOfLLPs | array | Array of objects of a LLPs |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Data Not Found |
409 | Error in getting Data from Upstream |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].